%define	name LinCompta
%define version 0.3.5
%define release %mkrel 8

Summary:	Analytical accounting program
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Office
URL:		http://lincompta.tuxfamily.org/
Source0:	%{name}-%{version}.tar.bz2
BuildRequires:	gnome-libs-devel 
BuildRequires:  MySQL-devel
BuildRequires:  automake1.4
Requires:	MySQL
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
LinCompta Pro is a French professional analytical accounting program. 
It was developed with GTK 1.2, GNOME, and MySQL.

%prep

%setup -q

%build
%configure

%make

%install
rm -rf %{buildroot}
make DESTDIR=$RPM_BUILD_ROOT install

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/lincompta"\
title="Lincompta"\
longtitle="French professional analytical accounting program"\
needs="x11"\
icon="finances_section.png"\
section="More Applications/Finances"\
xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Lincompta
Comment=French professional analytical accounting program
Exec=%{_bindir}/%{name} 
Icon=finances_section
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Finances;Office;Finance;
EOF


)

%find_lang lincompta

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files -f lincompta.lang
%defattr(-,root,root)
%doc ABOUT-NLS ChangeLog README
%_bindir/*
%_menudir/*
%{_datadir}/applications/mandriva-%{name}.desktop
%_datadir/pixmaps/lincompta



%changelog
* Mon Nov 26 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.3.5-8mdv2008.1
+ Revision: 113156
- import LinCompta


* Mon Sep 04 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.5-8mdv2007.0
- XDG

* Tue Jun 20 2006 Lenny Cartier <lenny@mandriva.com> 0.3.5-7mdv2007.0
- rebuild

* Thu Oct 06 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.5-6mdk
- Fix BuildRequires ( add automake1.4 )
- %%mkrel 

* Fri May 13 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.5-5mdk
- Rebuild

* Thu Jan 13 2004 Franck Villaume <fvill@freesurf.fr> 0.3.5-4mdk
- fix BuildRequires 64bits

* Thu Nov 27 2003 Franck Villaume <fvill@freesurf.fr> 0.3.5-3mdk
- add BuildRequires : libmysql-devel

* Sat Nov 15 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.3.5-2mdk 
- %%configure in %%build
- fix %%doc
- From Franck Villaume <fvill@freesurf.fr>
  - add BuildRequires : libgnome-devel

* Thu Oct 16 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.3.5-1mdk
- new
